Skip to main content
POST
/
customer
/
update
Update customer
curl --request POST \
  --url https://demo.onlinebillingform.com/api/v2/customer/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": 123,
  "name": "<string>",
  "address_1": "<string>",
  "city": "<string>",
  "county_id": 123,
  "country_id": 123,
  "postal_code": "<string>",
  "phone": "<string>",
  "username": "jsmith@example.com",
  "address_2": "<string>",
  "fax": "<string>",
  "password": "<string>",
  "website": "<string>",
  "credit": 123,
  "business_name": "<string>",
  "comment": "<string>",
  "vat": 123
}
'
import requests

url = "https://demo.onlinebillingform.com/api/v2/customer/update"

payload = {
    "id": 123,
    "name": "<string>",
    "address_1": "<string>",
    "city": "<string>",
    "county_id": 123,
    "country_id": 123,
    "postal_code": "<string>",
    "phone": "<string>",
    "username": "jsmith@example.com",
    "address_2": "<string>",
    "fax": "<string>",
    "password": "<string>",
    "website": "<string>",
    "credit": 123,
    "business_name": "<string>",
    "comment": "<string>",
    "vat": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    id: 123,
    name: '<string>',
    address_1: '<string>',
    city: '<string>',
    county_id: 123,
    country_id: 123,
    postal_code: '<string>',
    phone: '<string>',
    username: 'jsmith@example.com',
    address_2: '<string>',
    fax: '<string>',
    password: '<string>',
    website: '<string>',
    credit: 123,
    business_name: '<string>',
    comment: '<string>',
    vat: 123
  })
};

fetch('https://demo.onlinebillingform.com/api/v2/customer/update', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true
}
{
  "success": false,
  "errors": "Invalid API Key"
}
{
  "success": false,
  "errors": "Insufficient permissions for this endpoint."
}
{
  "success": false,
  "errors": {
    "id": [
      "The id field is required."
    ]
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <live_api_key>.

Body

id
integer
required
name
string
required
address_1
string
required
city
string
required
county_id
integer
required
country_id
integer
required
postal_code
string
required
phone
string
required
username
string<email>
required
address_2
string
fax
string
password
string<password>
website
string<uri>
credit
number
business_name
string
comment
string
vat
integer

Response

OK

success
boolean